> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unblockedbrands.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload a file to S3

> Upload a file to S3 by providing the file data as a form-data parameter and the bucket name



## OpenAPI

````yaml api-reference/openapi.json post /uploads/s3
openapi: 3.1.0
info:
  title: Unblocked Wallet Passes API
  description: Unblocked Wallet Passes API
  version: 1.0.0
servers:
  - url: https://api.ubpass.co/v1
    description: Generated server url
security:
  - AccessToken: []
  - APIKey: []
tags:
  - name: Pique
    description: Get Pique Campaigns and their video performance data
  - name: Passport - Passes
    description: >-
      Create, update, retrieve, and delete wallet passes for Apple and Google
      platforms
  - name: Passport - Push Notifications
    description: Create, update, get, and delete wallet pass notifications
  - name: Passport - Locations
    description: Create, update, get, and delete wallet pass locations
  - name: Upload APIs
    description: Upload and manage pass assets and images
paths:
  /uploads/s3:
    post:
      tags:
        - Upload APIs
      summary: Upload a file to S3
      description: >-
        Upload a file to S3 by providing the file data as a form-data parameter
        and the bucket name
      operationId: uploadFileToS3
      parameters:
        - name: bucket
          in: query
          description: Bucket name to upload the file to
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: binary
                  description: File to upload
              required:
                - file
      responses:
        '200':
          description: File uploaded successfully, path returned
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseMessage'
components:
  schemas:
    ResponseMessage:
      type: object
      properties:
        msg:
          type: string
  securitySchemes:
    AccessToken:
      type: http
      description: Bearer token authentication
      scheme: bearer
      bearerFormat: JWT
    APIKey:
      type: apiKey
      description: API Key authentication
      name: api-key
      in: header

````